Name:           picocom
Version:        1.6
Release:        5%{?dist}
Summary:        Minimal serial communications program

Group:          Applications/Communications
License:        GPLv2+
URL:            http://code.google.com/p/picocom/
Source0:        http://picocom.googlecode.com/files/picocom-%{version}.tar.gz

# filed upstream http://code.google.com/p/picocom/issues/detail?id=15
Patch0:         0001-Makefile-factor-out-UUCP_LOCK_DIR-for-easy-overridin.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for groupadd
Requires(pre):  shadow-utils

%description
As its name suggests, [picocom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "pico"
instead of "mini"! It was designed to serve as a simple, manual, modem
configuration, testing, and debugging tool. It has also served (quite
well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature).  It could also prove
useful in many other similar tasks. It is ideal for embedded systems
since its memory footprint is minimal (less than 20K, when
stripped).

%prep
%setup -q
%patch0 -p1

%build
make CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS" %{_smp_mflags} UUCP_LOCK_DIR=/run/lock/picocom

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 picocom $RPM_BUILD_ROOT%{_bindir}/
install -m 644 picocom.8 $RPM_BUILD_ROOT%{_mandir}/man8/
mkdir -p $RPM_BUILD_ROOT/run/lock/picocom

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group dialout >/dev/null || groupadd -g 18 -r -f dialout
exit 0

%files
%defattr(-,root,root,-)
%doc CHANGES CONTRIBUTORS LICENSE.txt NEWS README
%dir %attr(0775,root,dialout) /run/lock/picocom
%{_bindir}/picocom
%{_mandir}/man8/*

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 29 2012 Scott Tsai <scottt.tw@gmail.com> 1.6-4
- Create subdirectories for lockfiles under /run/lock/picocom/ (RHBZ 732360)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 25 2010 Kevin Fenzi <kevin@tummy.com> - 1.6-1
- Upgrade to 1.6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4-6
- fix compile

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-4
- Autorebuild for GCC 4.3

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.4-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 14 2006 Sean Reifschneider <jafo@tummy.com> 1.4-2
- Incorporating changes from Fedora Extras review from denis at poolshark
  dot org and panemade at gmail dot com.

* Wed Sep 13 2006 Sean Reifschneider <jafo@tummy.com> 1.4-1
- Initial RPM spec file.
